#ifndef CONTEXT_FLICKR_RSP_H_INCLUDED
#define CONTEXT_FLICKR_RSP_H_INCLUDED 1

#include <e32base.h>
#include "xml.h"

class CFlickrResponse : public CBase, public MXmlHandler {
public:
	static CFlickrResponse* NewL();
	virtual TBool Ok() = 0;
	virtual TInt ErrorCode() = 0;
	virtual const TDesC& ErrorMessage() = 0;
	virtual const TDesC& XmlErrorMessage() = 0;
	virtual TInt PhotoId() = 0;
	virtual TBool Done() = 0;
	virtual TBool IsPermanent() = 0;
};

#endif
