#ifndef CN_DRAWER_H_INCLUDED
#define CN_DRAWER_H_INCLUDED 1

#include <e32base.h>
#include "foreground.h"

class CMenuKeyListener : public CActive {
public :
	static CMenuKeyListener* NewL(RWsSession& aWsSession);
	~CMenuKeyListener();
private:
	CMenuKeyListener();
	void ConstructL();

};


class CDrawer : public CActive, public MForegroundObserver {
public:
	static CDrawer* NewL(RWsSession& aWsSession);
	virtual TInt	AddIconL(CFbsBitmap* data, CFbsBitmap* mask) = 0;
	virtual void	RemoveIcon(TInt Id) = 0;
	virtual void	ChangeIconL(CFbsBitmap* data, CFbsBitmap* mask, TInt Id) = 0;
	CDrawer(CActive::TPriority aPriority);
	virtual ~CDrawer();
};

#endif
