/* 
    Copyright (C) 2004  Mika Raento - Renaud Petit

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    email: mraento@cs.helsinki.fi - petit@cs.helsinki.fi 
*/

#ifndef CONTEXTFLICKRDOCUMENT_H
#define CONTEXTFLICKRDOCUMENT_H

// INCLUDES
#include <e32std.h>
#include <akndoc.h>
#include "cl_settings.h"
#include "cl_settings_impl.h"
#include "contextdoc.h"

class  CEikAppUi;

class CContextFlickrDocument : public CAknDocument, public MContextDocument
    {
    public: 
        static CContextFlickrDocument* NewL(CEikApplication& aApp);
        virtual ~CContextFlickrDocument();

    private:
        CContextFlickrDocument(CEikApplication& aApp);
        void ConstructL();

	void StepDone();
    private:

        CEikAppUi* CreateAppUiL();
	TClSettings iDefaultSettings;
	class CSplashScreen* iSplash;
    };

#endif

// End of File